Bug 530756 - Review Request: circuit_macros - A set of macros for drawing high-quality line diagram
Review Request: circuit_macros - A set of macros for drawing high-quality lin...
Status: CLOSED DUPLICATE of bug 662270
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 530755
Blocks: 526844
  Show dependency treegraph
 
Reported: 2009-10-24 14:48 EDT by Ben Boeckel
Modified: 2010-12-12 18:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 12:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2009-10-24 14:48:56 EDT
Spec URL: http://benboeckel.net/packaging/circuit_macros/circuit_macros.spec
SRPM URL: http://benboeckel.net/packaging/circuit_macros/circuit_macros-6.61-1.fc12.src.rpm
Description:
Fundamental electric circuit elements and basic logic gates are included with
several tools and examples of other types of diagrams. Elements can be scaled
or drawn in any orientation and are easy to modify. The advantages and
disadvantages of such a system are similar to those of TeX itself, which is
macro-based and non-wysiwyg, with ordinary character input.
Comment 1 Thomas Spura 2009-10-29 09:12:04 EDT
Just a comment:

The *.m4 files are executable, possibly not by intention…
Comment 2 Ben Boeckel 2009-10-29 11:40:59 EDT
Fixed. Does install -p add executable permissions? Guess I should just use -m all the time and not trust what's in the tar/zip from now on anyways.

Spec URL: http://benboeckel.net/packaging/circuit_macros/circuit_macros.spec
SRPM URL:
http://benboeckel.net/packaging/circuit_macros/circuit_macros-6.61-2.fc12.src.rpm
Comment 3 Thomas Spura 2009-10-30 09:29:48 EDT
Does this programm work for you?

I tried to play around with the examples, but run into several problems:
- The homelib is wrong, the programm doesn't know, that it lives at /usr/share/circuit_macros-6.61/, with putting this into homelib.txt and make homelib, this works again…

- The examples want to have dpic.
I'm not sure how cirkuit laterly uses this *.m4 macros. Have you tested that? gpic is available in fedora, dpic doesn't. Maybe you also need to run 'make gpicdefault' in the %build section…

Why don't you package the examples into a -doc subpackage?

(In reply to comment #2)
> Does install -p add executable permissions?

No.
Comment 4 Ben Boeckel 2009-10-30 10:19:10 EDT
(In reply to comment #3)
> Does this programm work for you?
> 
> I tried to play around with the examples, but run into several problems:
> - The homelib is wrong, the programm doesn't know, that it lives at
> /usr/share/circuit_macros-6.61/, with putting this into homelib.txt and make
> homelib, this works again…
I missed homelib.txt. Will update then.

The way I used it was:

m4 <circuit_macro files> my_file.m4 > my_file.pic
dpic <flag> my_file.pic > my_file.<format>

Cirkuit seems to download circuit_macros and dpic itself, so I'm packaging them properly. I was going to get Cirkuit to use the system copy after they've been reviewed.

> - The examples want to have dpic.
> I'm not sure how cirkuit laterly uses this *.m4 macros. Have you tested that?
> gpic is available in fedora, dpic doesn't. Maybe you also need to run 'make
> gpicdefault' in the %build section…
dpic is also under review. Bug #530755 .

> Why don't you package the examples into a -doc subpackage?
Can do.

> (In reply to comment #2)
> > Does install -p add executable permissions?
> 
> No.  
Odd. They definitely do not have them with +x permissions when extracted from the tarball.
Comment 5 Thomas Spura 2009-10-30 10:24:37 EDT
(In reply to comment #4)
> > (In reply to comment #2)
> > > Does install -p add executable permissions?
> > 
> > No.  
> Odd. They definitely do not have them with +x permissions when extracted from
> the tarball.  

Hmm, odd² it does. I just tried it on a test file^^
Comment 6 Ben Boeckel 2009-11-02 13:32:18 EST
Spec URL: http://benboeckel.net/packaging/circuit_macros/circuit_macros.spec
SRPM URL:
http://benboeckel.net/packaging/circuit_macros/circuit_macros-6.61-3.fc12.src.rpm

The example sources are shipped in an examples subpackage now.
Comment 7 Chitlesh GOORAH 2009-11-08 05:39:03 EST
#001: Requires

README states : 

REQUIRED SOFTWARE:
Preferred setup:
  m4, dpic (see below), TeX or LaTeX, PSTricks, dvips

Update your Requires accordingly

#002: Requires of Sub package - examples

Requires:      %{name}
should rather be 
Requires:     %{name} = %{version}-%{release}

#003: I think you are forgetting *.m4 found in the -doc directory.

#004: 2 directories for documentation ?

The main package has /usr/share/doc/circuit_macros-6.61/ for its %doc

The sub package has /usr/share/doc/circuit_macros/examples for its %doc

I prefer that there is only ONE directory for ALL documentation. It is simply because while giving the user more examples cases, we should not drown the user into confusion.

#005: You are missing the subdirectories found in the examples directory.
These should found their way to your -examples subpackage

#006: the *.tex from the examples should also be added to the -examples subpackage. It is an example (and source) how to use those symbols into one's latex document.
Comment 8 Ben Boeckel 2009-11-08 09:53:51 EST
(In reply to comment #7)
> #001: Requires
> 
> README states : 
> 
> REQUIRED SOFTWARE:
> Preferred setup:
>   m4, dpic (see below), TeX or LaTeX, PSTricks, dvips
Added dpic, tex(latex), texlive-texmf, and texlive-dvips.

> Update your Requires accordingly
> 
> #002: Requires of Sub package - examples
> 
> Requires:      %{name}
> should rather be 
> Requires:     %{name} = %{version}-%{release}
Fixed.

> #003: I think you are forgetting *.m4 found in the -doc directory.
See below.

> #004: 2 directories for documentation ?
> 
> The main package has /usr/share/doc/circuit_macros-6.61/ for its %doc
> 
> The sub package has /usr/share/doc/circuit_macros/examples for its %doc
> 
> I prefer that there is only ONE directory for ALL documentation. It is simply
> because while giving the user more examples cases, we should not drown the user
> into confusion.
Problem is RPM.

+ cd /home/boeckb/rpmbuild/BUILD
+ cd Circuit_macros6.61
+ DOCDIR=/home/boeckb/rpmbuild/BUILDROOT/circuit_macros-6.61-3.fc12.x86_64/usr/share/doc/circuit_macros-6.61
+ export DOCDIR
+ rm -rf /home/boeckb/rpmbuild/BUILDROOT/circuit_macros-6.61-3.fc12.x86_64/usr/share/doc/circuit_macros-6.61

Anything I install to there is blown away when the main package grabs the files from its %doc list. Any way to avoid this? See below for a possible workaround.

> #005: You are missing the subdirectories found in the examples directory.
> These should found their way to your -examples subpackage
> 
> #006: the *.tex from the examples should also be added to the -examples
> subpackage. It is an example (and source) how to use those symbols into one's
> latex document.
Would it just be easier to:
    %doc doc/ examples/
in this case?
Comment 9 Thomas Spura 2009-11-08 10:10:07 EST
How about not installing the examples, just a
  %doc examples/*.m4 examples/examples.*
in the examples package?

If you really want to have one doc folder, you could remove the 
  %doc CHANGES Copying README doc/CMman.pdf
from the main package and add it to the subpackage.
But I think 'Copying' and 'README' belongs to the main package, so two directories would be ok...
Comment 10 Paul Howarth 2009-11-09 04:16:30 EST
You can have multiple subpackages use the same directory for documentation if you only use absolute pathnames with %doc; if you use relative pathnames, rpm clears out the directory as it processes each subpackage. This is the approach I used in libpng10:

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}/
%doc %{_docdir}/%{name}-%{version}/ANNOUNCE
%doc %{_docdir}/%{name}-%{version}/CHANGES
%doc %{_docdir}/%{name}-%{version}/LICENSE
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/TODO
%doc %{_docdir}/%{name}-%{version}/Y2KINFO
...

%files devel
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/example.c
%doc %{_docdir}/%{name}-%{version}/libpng-%{version}.txt
...

It's a bit ugly but it works.
Comment 11 Ben Boeckel 2009-11-17 12:17:26 EST
Spec URL: http://benboeckel.net/packaging/circuit_macros/circuit_macros.spec
SRPM URL:
http://benboeckel.net/packaging/circuit_macros/circuit_macros-6.61-4.fc12.src.rpm

I've gone with doing the %doc magic manually.
Comment 12 Chitlesh GOORAH 2009-11-17 14:11:52 EST
-example subpackage :

You are missing the directories found in the examples/ directory
Comment 13 Chitlesh GOORAH 2009-12-19 13:07:06 EST
I'll be in Fedora-Vacation for at least one month. I won't be able to do the review, thus removing myself as the reviewer.
Comment 14 Thomas Spura 2010-03-30 12:03:10 EDT
Because the dependend bug is closed as a result of lack of responsivenes of the same requestee


-> closing
Comment 15 Thomas Spura 2010-12-12 18:07:04 EST

*** This bug has been marked as a duplicate of bug 662270 ***

Note You need to log in before you can comment on or make changes to this bug.